<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Log-in with European digital ID</title>
    <link rel="stylesheet" href="../../css/vendors/bootstrap.min.css">
    <link rel="stylesheet" href="../../css/oots-style.css">
    <link rel="stylesheet" href="../../css/eID.css">
</head>
<body>

<div class="wrapper">

    <div class="page-header">
        <nav class="navbar navbar-expand-sm navbar-light py-4 border-bottom bg-light"><!-- bg-light -->
            <div class="container-fluid">
                <div class="container">
                    <div class="d-flex w-100 justify-content-between align-items-center" href="#">
                        <div class="d-flex align-items-center justify-content-around">
                            <img src="../../images/clave-logo.svg" height="84">
                            <h5 class="m-0 ms-3 bold"></h5>
                        </div>
                        <div class="d-flex justify-content-evenly gap-5 text-white">
                            <div class="language fs-6">
                                ENGLISH
                            </div>
                            <div class="language fs-6 text-decoration-underline">
                                HELP
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </nav>
    </div>

    <div class="page-body my-5">

        <div class="my-3">
            <h1 class="text-center">Log-in with European digital ID</h1>
            <p class="text-center bold text-black m-0">Select the country where your digital identity was issued</p>
            <p class="text-center">(some countries may not be available yet, read more information below)</p>
        </div>

        <div class="d-flex justify-content-center">

            <div class="oots-grid-cards center p-3">
                <div id="active" class="oots-grid-card active" data-selectedcountry="be">
                    <img src="../../images/flags/be.svg" alt="Belgium flag"/>
                    Belgium
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/hr.svg" alt="Croatia flag"/>
                    Croatia
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/cz.svg" alt="Czech Republic flag"/>
                    <span>Czech Republic</span>
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/dk.svg" alt="Denmark flag"/>
                    Denmark
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/ee.svg" alt="Estonia flag"/>
                    Estonia
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/de.svg" alt="Germany flag"/>
                    Germany
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/it.svg" alt="Italy flag"/>
                    Italy
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/lv.svg" alt="Latvia flag"/>
                    Latvia
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/lt.svg" alt="Lithuania flag"/>
                    Lithuania
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/lu.svg" alt="Luxembourg flag"/>
                    Luxembourg
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/mt.svg" alt="Malta flag"/>
                    Malta
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/nl.svg" alt="Netherlands flag"/>
                    Netherlands
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/pt.svg" alt="Portugal flag"/>
                    Portugal
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/sk.svg" alt="Slovakia flag"/>
                    Slovakia
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/es.svg" alt="Spain flag"/>
                    Spain
                </div>
                <div class="oots-grid-card">
                    <img src="../../images/flags/se.svg" alt="Sweden flag"/>
                    Sweden
                </div>

            </div>

        </div>
        <div class="d-flex justify-content-center gap-3 mt-3">
            <button class="btn btn-outline-primary">Cancel</button>
            <button  data-modalid="redirecting" data-destination="NAS-Belgium.html"
                    class="btn btn-primary open-modal" id="continue-bth" disabled>
                Continue
            </button>
        </div>

        <div class="d-flex justify-content-center my-3">
            <hr class="opacity-100 w-25" style="">
        </div>

        <div class="my-3">
            <h6 class="text-center bold text-black">Countries not available yet</h6>
        </div>


        <div class="d-flex justify-content-center">
            <div class="center p-3">
                <p>If your country is grayed out, then the cross-border authentication is not available yet. If this is
                    the case, then please go back to the service and use another way to login. Your country will become
                    available in the future.</p>

                <p>Learn more about <a href="#">eIDAS Regulation</a></p>
            </div>
        </div>

        <div class="d-flex justify-content-center">

            <div class="oots-grid-cards center p-3">
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/at.svg"
                        alt="Austria flag"> Austria
                </div>
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/bg.svg"
                        alt="Bulgaria flag"> Bulgaria
                </div>
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/cy.svg"
                        alt="Cyprus flag"> Cyprus
                </div>
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/fi.svg"
                        alt="Finland flag"> Finland
                </div>
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/fr.svg"
                        alt="France flag"> France
                </div>
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/gr.svg"
                        alt="Greece flag"> Greece
                </div>
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/hu.svg"
                        alt="Hungary flag"> Hungary
                </div>
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/is.svg"
                        alt="Iceland flag"> Iceland
                </div>
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/ie.svg"
                        alt="Ireland flag"> Ireland
                </div>
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/nl.svg"
                        alt="Netherlands flag"> Netherlands
                </div>
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/no.svg"
                        alt="Norway flag"> Norway
                </div>
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/pl.svg"
                        alt="Poland flag"> Poland
                </div>
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/ro.svg"
                        alt="Romania flag"> Romania
                </div>
                <div class="oots-grid-card not-available"><img
                        src="../../images/flags/si.svg"
                        alt="Slovenia flag"> Slovenia
                </div><!--bindings={
  "ng-reflect-ng-for-of": "[object Object],[object Object"
}--></div>

        </div>

    </div>

    <div class="page-footer mt-3">
        <footer class="text-center text-lg-start berlin-footer bg-head-foot-eidas-it">
            <section>
                <div class="text-white py-4 col-10 m-auto text-center">
                    <div class="row mt-3">

                        <!-- Grid column -->
                        <div class="col-md-4 col-lg-4 col-xl-4 mx-auto mb-4">
                            <!-- Links -->
                            <h6 class="bold mb-4">
                                <img src="../../images/logo-es.svg" height="50" alt="">
                            </h6>
                        </div>
                        <!-- Grid column -->

                        <!-- Grid column -->
                        <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mb-4">
                            <!-- Links -->
                            <p class="text-decoration-underline">
                                <span>Site notice</span>
                            </p>
                            <p>
                        </div>
                        <!-- Grid column -->
                        <!-- Grid column -->
                        <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mb-md-0 mb-4">
                            <!-- Links -->
                            <p class="text-decoration-underline">Privacy</p>
                        </div>
                        <!-- Grid column -->
                        <!-- Grid column -->
                        <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mb-md-0 mb-4">
                            <!-- Links -->
                            <p class="text-decoration-underline"></i>Accessibility statement</p>
                        </div>
                        <!-- Grid column -->

                        <!-- Grid column -->
                        <div class="col-md-2 col-lg-2 col-xl-2 mx-auto mb-md-0 mb-4">
                            <!-- Links -->
                            <p class="text-decoration-underline">Contact</p>
                        </div>


                    </div>
                    <!-- Grid row -->
                </div>
            </section>
        </footer>
    </div>

    <div id="loading"
         style="position: fixed; width: 100%;height: 100%; left: 0; top: 0; background: rgba(51, 51, 51, 0.85); display: none">
        <!--    <div class="d-flex justify-content-center" style="margin-top: 50vh;">-->

        <div class="modal" tabindex="-1" role="dialog" id="consent-to-request">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-body p-5">
                        <h1 class="text-center">
                            Consent to request data
                        </h1>
                        <h4 class="text-center my-4">
                            Can we request your personal data from
                            <span class="fst-italic">Belgium</span>?
                        </h4>

                        <div class="m-auto w-75 p-3 bg-neutral-50 rounded-5 my-5">
                            <h6>
                                Your personal data to be requested:
                            </h6>
                            <ul class="fst-italic">
                                <li>current family name(s)</li>
                                <li>current first name(s)</li>
                                <li>date of birth</li>
                                <li>unique identifier</li>
                            </ul>
                        </div>
                        <div class="d-flex justify-content-center gap-3 mb-5">
                            <button type="button" class="btn btn-outline-primary">Cancel</button>
                            <button type="button" class="btn btn-primary open-modal">Consent
                            </button>
                        </div>
                        <div class="mt-3">
                            <p>Learn more about how we collect, use, share and protect your personal data on our Privacy
                                Policy.</p>
                            <p>Learn more about cross-border authentication</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal" tabindex="-1" role="dialog" id="redirecting">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-body p-5">
                        <h1 class="text-center mb-4">
                            We are redirecting you
                        </h1>
                        <div class="d-flex justify-content-center align-items-center my-3 gap-4">
                            <div class="d-flex flex-column text-center col-4">
                                <div class="regular">FROM</div>
                                <div class="bold my-3">National Authentication Service</div>
                                <div class="d-flex justify-content-center align-items-center gap-2">
                                    <span>SPAIN</span> <img src="../../images/flags/es.svg" height="20">
                                </div>
                            </div>
                            <div class="arrows-animation col-3">
                                <img class="first" src="../../images/arrow-right.svg" height="12">
                                <img class="second" src="../../images/arrow-right.svg" height="12">
                                <img class="third" src="../../images/arrow-right.svg" height="12">
                                <img class="forth" src="../../images/arrow-right.svg" height="12">
                            </div>
                            <div class="d-flex flex-column text-center col-4 p-3 rounded-5 bg-neutral-100">
                                <div class="regular">TO</div>
                                <div class="bold my-3">National Authentication Service</div>
                                <div class="d-flex justify-content-center align-items-center gap-2">
                                    <span>BELGIUM</span> <img src="../../images/flags/be.svg" height="20">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer justify-content-center p-3 text-center bg-neutral-400 text-white">
                        <div><p class="fw-light">As part of the</p>
                            <p class="bold">Initial application for admission </p></div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<script>
    (function () {
        window.onpageshow = function(event) {
            if (event.persisted) {
                window.location.reload();
            }
        };
    })();
</script>

<script src="../../js/eidas.js"></script>
<script src="../../js/modal.js"></script>
</body>
</html>
